<?php
include "../ver_sessao.php";
include "../conecta.php";
	
	//$NOME_VALOR = "prod_tx_valor";
	
	$TABELA = 'produto';
	$TAB = substr($TABELA,0,4);
	
	
	$_GET[busca] = str_replace("*","%",$_GET[busca]);

	// ----------------------------------------------------------------------
	// SE NAO TIVER DIGITADO NADA NA BUSCA ENTÃO ENVIA O RETORNO EM BRANCO
	// ----------------------------------------------------------------------
	if( $_GET[busca] == '' ) {
		cactux_combo_net::combo_div_gerar();
		return;
	}
		
	// PRODUTOS ESPECIAIS
	// $extra = " AND prod_nb_id NOT IN (50,51) ";
	$extra = " AND prod_nb_id >100 ";
	
	
	$sql = selecionar("produto",'prod_tx_status',"ativo",
	" $extra AND (prod_tx_nome LIKE '%$_GET[busca]%' OR prod_tx_codigo LIKE '%$_GET[busca]%' OR prod_tx_codbarras LIKE '%$_GET[busca]%') ".$EXTRA.' LIMIT 15');
	
	//INICIO DO GRID
	while( $a = carrega_array($sql) ) {

		if ( $_GET[p] == 'custo' ) {
			$NOME_VALOR_UN = "prod_tx_valorCusto";
			$NOME_VALOR_CX = "prod_tx_valorCusto";
			
		} else {
			$NOME_VALOR_UN = "prod_tx_valorVenda";
			$NOME_VALOR_CX = "prod_tx_valorVenda";
		}
		
		$id = $a["prod_nb_id"];
		$nome = "$a[prod_tx_nome] $a[prod_tx_marca]";
		$nome2 = "$a[prod_tx_nome] $a[prod_tx_marca]";
		$valor = mostra_valor($a[$NOME_VALOR_UN]);
		$qtde=mostra_valor($a[prod_tx_qtde],1);
		
		$extra1 = "envia_combo('".$valor."','valor');envia_combo('".mostra_valor($a[$NOME_VALOR_CX])."','valor_cx');envia_combo('".mostra_valor($a[$NOME_VALOR_UN])."','valor_un');envia_combo('Unidade','forma')";		
		$extra2 = " parent.window.document.cadastro.valor.value='$valor';
					parent.window.document.cadastro.valor_cx.value='".mostra_valor($a[$NOME_VALOR_CX])."';
					parent.window.document.cadastro.valor_un.value='".mostra_valor($a[$NOME_VALOR_UN])."';
					parent.window.document.cadastro.forma.value='Unidade';
				";
			

		cactux_combo_net::combo_div_valores($a[$TAB."_nb_id"],"[$a[prod_tx_codigo]] $a[prod_tx_nome] | $a[prod_tx_marca] | ".mostra_valor($a[prod_tx_valorVenda])."",$div,$extra1,$extra2);
		
	}
	cabecalho_css();
	cactux_combo_net::combo_div_gerar();	
?>